## NAME

r.kappa - Calculate error matrix and kappa parameter for accuracy assessment of classification result.
(GRASS Raster Program)

## SYNOPSIS

r.kappa
r.kappa help
r.kappa [-mwqzh] classification=name reference=name output=name [TITLE="name"]

## DESCRIPTION

r.kappa tabulates the error matrix of classification result by crossing classified map layer with respect to reference map layer. Both overall kappa (accompanied by its variance) and conditional kappa values are calculated. This analysis program respects the current geographic region and mask settings.

## OPTIONS

The user can run the program non-interactively by specifying all needed flag settings and parameter values on the command line, in the form:

  r.kappa [-mwqzh] classification=name reference=name output=name [TITLE="name"]

### Flags:

-m
  Report zero values due to mask.
-w
  Print a wide report, 132 columns (default: 80)
-q
  Run quietly,
-z
  Report non-zero values only.
-h
  Report without header.

### Parameters:

classification=name
  Name of classified raster map layer.
reference=name
  Name of reference raster map layer.
output=name
  Name of ascii file in which to output report results.
TITLE=name
  Title of the report file which is the first line in output file.
  Default: ACCURACY ASSESSMENT

Alternately, the user can run r.kappa interactively by simply typing r.kappa without command line arguments; in this case, the user will be prompted for the names of classified result map and reference map, which will be the subjects of the analysis. r.kappa then calculates the error matrix of the two map layers and prepares the table from which the report is to be created. kappa values for overall and each classes are computed along with their variances. Also percent of commission and ommission error, total correct classified result by pixel counts, total area in pixel counts and percentage of overall correctly classified pixels are tabulated.

The report will be write to an output file which is in plain text format and named by user at prompt of running the program.

The body of the report is arranged in panels. The classified result map layer categories is arranged along the vertical axis of the table, while the reference map layer categories along the horizontal axis. Each panel has a maximum of 5 categories (9 if wide format) across the top. In addition, the last column of the last panel reflects a cross total of each column for each row. All of the categories of the map layer arranged along the vertical axis, i.e., the reference map layer, are included in each panel. There is a total at the bottom of each column representing the sum of all the rows in that column.

## NOTES

It is recommended to reclassify categories of classified result map layer into a more manageable number before running r.kappa on the classified raster map layer. Because r.kappa calculates and then reports information for each and every category.

NA's in output file mean non-applicable in case MASK exists.

## SEE ALSO

g.region
m.ipf
r.cats
r.mask
r.reclass
r.report
r.stats

## AUTHOR

Tao Wen, University of Illinois at Urbana-Champaign, Illinois

Last changed: $Date: 2003/03/16 12:25:19 $